Investors, warrants & staking
Get Staking Configurations
Lists all staking configuration versions for the caller's org; errors if staking is disabled.
GEThttps://api.toku.com/tga/get-staking-configurations
Not available to API keys yet. It will need grants:read.
curl --request GET \
--url 'https://api.toku.com/tga/get-staking-configurations' \
--header 'Authorization: Bearer <token>'200 response
[
{
"stakingConfigurationID": "string",
"orgID": "string",
"maxStakePercentage": "string",
"bufferPeriod": 0,
"cooldownPeriod": 0,
"versionNumber": 0,
"createdAt": "string",
"updatedAt": "string",
"isCurrent": true,
"stakingTypesEnabled": [
"UNVESTED_LOCKED_TOKENS"
]
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
orgIDstring<uuid>Response
200Successful response
stakingConfigurationIDstringrequiredorgIDstringrequiredmaxStakePercentagestringrequiredAllowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
bufferPeriodintegerrequiredcooldownPeriodintegerrequiredversionNumberintegerrequiredcreatedAtstringrequiredupdatedAtstringrequiredisCurrentbooleanrequiredstakingTypesEnabledstring[]required400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits